from rest_framework.routers import DefaultRouter
from django.urls import path, include
from LiveStock.Jahad import views as jahad_views
from LiveStock.Jahad.excel_processing import allocation_live_stock_excel, warehouse_live_stock_excel, \
    live_stock_transaction_excel, cooperative_warehouse_excel, management_live_stock_excel, rancher_management, \
    live_stock_product_excel
from LiveStock.Jahad.views import get_user_live_stock

router = DefaultRouter()
router.register(
    r'profile',
    jahad_views.LiveStockProvinceJahadViewSet,
    basename="profile"
)

router.register(
    r'live-stock-role-products',
    jahad_views.LiveStockRolseProductViewset,
    basename="live-stock-role-products"
)
router.register(
    r'live-stock-allocation',
    jahad_views.LiveStockAllocationsViewSet,
    basename="live-stock-allocation"
)
router.register(
    r'live-stock-product',
    jahad_views.LiveStockProductViewset,
    basename="live-stock-product"
)
router.register(
    r'dashboard-live-stock-allocation',
    jahad_views.DashboardLiveStockAllocationsViewSet,
    basename="dashboard-live-stock-allocation"
)
router.register(
    r'live-stock-warehouse-charge-allocation',
    jahad_views.LiveStockWarehouseChargeAllocationsViewSet,
    basename="live-stock-warehouse-charge-allocation"
)

router.register(
    r'cooperative-shares',
    jahad_views.CooperativeProductsShareViewSet,
    basename="cooperative-shares"
)


urlpatterns = [
    path('', include(router.urls)),
    path('get_user_live_stock/', get_user_live_stock),
    path('allocation_live_stock_excel/', allocation_live_stock_excel),
    path('warehouse_live_stock_excel/', warehouse_live_stock_excel),
    path('live_stock_transaction_excel/', live_stock_transaction_excel),
    path('cooperative_warehouse_excel/', cooperative_warehouse_excel),
    path('management_live_stock_excel/', management_live_stock_excel),
    path('rancher_management/', rancher_management),
    path('live_stock_product_excel/', live_stock_product_excel),
    ]